package cn.hmsoft.ltc.model;

import java.io.Serializable;

/**
 * 
 * @author zq
 *
 */
public class LoginRequest implements Serializable {

	private static final long serialVersionUID = 6611763136706618131L;
	private String userName;
	private int status;//登录成功失败状态(0-成功，-1失败)
	private Long schoolId;
	private String schoolName;
	private Integer userRole;//0-普通用户,1-管理员
	private Integer courseId;

	private Integer firstLogin;//是否第一次登陆
	
	private int userId;
	
	public LoginRequest() {
		
	}
	
	public LoginRequest(String userName) {
		this.userName = userName;
	}
	
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}

	public int getStatus() {
		return status;
	}

	public Long getSchoolId() {
		return schoolId;
	}

	public String getSchoolName() {
		return schoolName;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public void setSchoolId(Long schoolId) {
		this.schoolId = schoolId;
	}

	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public Integer getUserRole() {
		return userRole;
	}

	public void setUserRole(Integer userRole) {
		this.userRole = userRole;
	}

	public Integer getCourseId() {
		return courseId;
	}

	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}
	
	public Integer getFirstLogin() {
		return firstLogin;
	}

	public void setFirstLogin(Integer firstLogin) {
		this.firstLogin = firstLogin;
	}
	
}
